<?php

namespace App\Http\Controllers;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Request;
class Controller extends BaseController
{
    public $red;
    function __construct(Request $request){
        if($request::input('redirect')!=NULL){
            $value=$request::input('redirect');
            setcookie('redirect',$value,time()+5400,"/");
            
        }
            
            $this->red=$request::input('redirect');
            
    }
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}
